# Visualization Library A lightweight C++ OpenGL middleware for 2D/3D graphics | [Home] [Tutorials] [All Classes] [Grouped Classes]

# vl::KeyValues Class Reference

A set of key/value pairs used to store generic information. More...

`#include <KeyValues.hpp>`

Inheritance diagram for vl::KeyValues:

List of all members.

## Public Member Functions
bool | has (const String &key) const
String | value (const String &key) const
String & | set (const String &key)
void | erase (const String &key)
void | getKeys (std::vector< String > &keys) const
void | clear ()
const std::map< String, String > & | keyValueMap () const
std::map< String, String > & | keyValueMap ()
void | print ()
## Protected Attributes
std::map< String, String > | mKeyValues

## Detailed Description

A set of key/value pairs used to store generic information.

## Member Function Documentation

bool vl::KeyValues::has | ( | const String & | key | ) | const`[inline]`

String KeyValues::value | ( | const String & | key | ) | const

String& vl::KeyValues::set | ( | const String & | key | ) | `[inline]`

void vl::KeyValues::erase | ( | const String & | key | ) | `[inline]`

void KeyValues::getKeys | ( | std::vector< String > & | keys | ) | const

void vl::KeyValues::clear | ( |  | ) | `[inline]`

const std::map<String,String>& vl::KeyValues::keyValueMap | ( |  | ) | const`[inline]`

std::map<String,String>& vl::KeyValues::keyValueMap | ( |  | ) | `[inline]`

void KeyValues::print | ( |  | ) |

## Member Data Documentation

std::map<String,String> vl::KeyValues::mKeyValues`[protected]`

The documentation for this class was generated from the following files:

- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/KeyValues.hpp
- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/KeyValues.cpp

Visualization Library v2009.08 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Sun Nov 8 14:28:59 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.